"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDefaultAction = void 0;
const react_1 = require("react");
function useDefaultAction(onDefaultAction) {
    const onClick = (0, react_1.useCallback)((evt) => {
        evt.stopPropagation();
        onDefaultAction(evt);
    }, [onDefaultAction]);
    const onKeyDown = (0, react_1.useCallback)((evt) => {
        if (evt.target === evt.currentTarget &&
            [' ', 'Enter'].includes(evt.key)) {
            evt.preventDefault();
            evt.stopPropagation();
            onDefaultAction(evt);
        }
    }, [onDefaultAction]);
    return { onClick, onKeyDown };
}
exports.useDefaultAction = useDefaultAction;
//# sourceMappingURL=use-default-action.js.map